Bug 146711 - [GTK] Add a runtime check for X11 display in webkitWebViewBaseExitAcceleratedCompositingMode()
Summary: [GTK] Add a runtime check for X11 display in webkitWebViewBaseExitAccelerated...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-07 22:39 PDT by Zan Dobersek
Modified: 2015-07-14 01:54 PDT (History)
6 users (show)

See Also:


Attachments
Patch (1.78 KB, patch)
2015-07-07 22:43 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2015-07-07 22:39:58 PDT
[GTK] Add a runtime check for X11 display in webkitWebViewBaseExitAcceleratedCompositingMode()
Comment 1 Zan Dobersek 2015-07-07 22:43:30 PDT
Created attachment 256356 [details]
Patch
Comment 2 WebKit Commit Bot 2015-07-07 22:46:40 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Michael Catanzaro 2015-07-08 07:49:31 PDT
Thanks!
Comment 4 Zan Dobersek 2015-07-14 01:54:40 PDT
Comment on attachment 256356 [details]
Patch

Clearing flags on attachment: 256356

Committed r186801: <http://trac.webkit.org/changeset/186801>
Comment 5 Zan Dobersek 2015-07-14 01:54:48 PDT
All reviewed patches have been landed.  Closing bug.